LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTransferableSupplier Interface Referencepublished

provide access to a com::sun::star::datatransfer::XTransferable implementation from the object. More...

`import"XTransferableSupplier.idl";`

Inheritance diagram for XTransferableSupplier:

## Public Member Functions
::com::sun::star::datatransfer::XTransferable | getTransferable ()
| allows to get access to com::sun::star::datatransfer::XTransferable implementation. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provide access to a com::sun::star::datatransfer::XTransferable implementation from the object.

## Member Function Documentation

## ◆ getTransferable()

::com::sun::star::datatransfer::XTransferable getTransferable | ( |  | ) |

allows to get access to com::sun::star::datatransfer::XTransferable implementation.

Returns
  com::sun::star::datatransfer::XTransferable implementation

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XTransferableSupplier.idl